Skip to main content
GET
/
loyalty
/
cp
/
api
/
customer-loyalty
Get customer loyalty information
curl --request GET \
  --url https://loyalty-admin.appstle.com/loyalty/cp/api/customer-loyalty
{
  "availablePoints": 150.5,
  "pendingPoints": 25,
  "creditedPoints": 175.5,
  "spentAmount": 299.99,
  "storeCreditBalance": 15,
  "currentVipTier": "Gold",
  "vipTierExpiredAt": "2025-12-31T23:59:59Z",
  "referredCompleted": 3,
  "referralLink": "https://store.com/referral/abc123",
  "customerStatus": "ACTIVE",
  "dob": "1990-05-15",
  "rewardedForFacebook": true,
  "rewardedForInstagram": false,
  "rewards": []
}

Documentation Index

Fetch the complete documentation index at: https://developers.appstle.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

status
string

Filter rewards by status (comma-separated values). Allowed values: UNUSED, USED, EXPIRED

Response

Customer loyalty information retrieved successfully

availablePoints
number<double>
pendingPoints
number<double>
creditedPoints
number<double>
spentAmount
number<double>
storeCreditBalance
number<double>
achievableTierId
integer<int64>
currentVipTier
string
vipTierExpiredAt
string<date-time>
createAt
string<date-time>
rewardedForFacebook
boolean
rewardedForPinterest
boolean
rewardedForTwitter
boolean
rewardedForInstagram
boolean
rewardedForYoutube
boolean
rewardedForTiktok
boolean
rewardedForNewsLetter
boolean
rewardedForSms
boolean
referredCompleted
integer<int64>
customerStatus
enum<string>
Available options:
ACTIVE,
INACTIVE,
EXCLUDED,
EXCLUDED_BY_CUSTOMER
dob
string<date>
rewards
object[]
rewardedForCreatingAccount
boolean
rewardedForSharingOnFacebook
boolean
rewardedForSharingOnX
boolean
expiringPointsAmount
number<double>
pointsExpireAt
string<date-time>